Index: kernel/zaptel-base.c
===================================================================
--- kernel/zaptel-base.c	(revision 4338)
+++ kernel/zaptel-base.c	(working copy)
@@ -2515,7 +2515,10 @@
 		close_channel(chans[unit]);
 		if (chans[unit]->span && chans[unit]->span->close)
 			res = chans[unit]->span->close(chans[unit]);
-		clear_bit(ZT_FLAGBIT_OPEN, &chans[unit]->flags);
+
+		/* The channel might be destroyed on close: */
+		if (chans[unit])
+			clear_bit(ZT_FLAGBIT_OPEN, &chans[unit]->flags);
 	} else
 		res = -ENXIO;
 #ifndef LINUX26
